// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package tests

import (
	"log"

	"adm-data/pb"

	"google.golang.org/grpc"
)

var client pb.DataClient

const ServerAddr = "127.0.0.1:50001"

func init() {
	// Set up a connection to the server.
	conn, err := grpc.Dial(ServerAddr, grpc.WithInsecure())
	if err != nil {
		log.Fatalf("did not connect: %v", err)
	}
	client = pb.NewDataClient(conn)
}
