package utils

import "adm-data/parser"

func GetBrandLogoById(brandId string, hasImg int32) string {
	// SY开头的品牌为映射不上的,使用默认图标
	if hasImg == 0 || brandId == "" {
		return parser.Conf.Oss.DefaultBrandImage
	} else {
		return parser.Conf.Oss.BrandImage + brandId + ".png"
	}
}

func GetSeriesLogoById(seriesId string, hasImg int64) string {
	if hasImg == 0 || seriesId == "" {
		return parser.Conf.Oss.DefaultSeriesImage
	} else {
		return parser.Conf.Oss.SeriesImage + seriesId + ".png"
	}
}
